import request from '@/utils/request'

export function AddRotationChart(data){
   
    return request({
        url:"/api/site/addrotationchart",
        method:"Post",
        data:data,
    })
}

export function addRotationUpload(data){
   
    return request({
        url:"/api/site/addrotationupload",
        method:"Post",
        data:data,
    })
}

export function saveHispital(data){
   
    return request({
        url:"/api/site/savehispital",
        method:"Post",
        data:data,
    })
}

export function addOffices(data){
  
    return request({
        url:"/api/site/addoffices",
        method:"Post",
        data:data,
    })
}

export function AddDoctor(data){
   
    return request({
        url:"/api/site/adddoctor",
        method:"Post",
        data:data,
    })
}

export function AddDoctorInfo(data){
  
   return request({
       url:"/api/site/adddoctorinfo",
       method:"Post",
       data:data,
   })
}

export function AddOfficeEnvironment(data){
   
   return request({
       url:"/api/site/keenvironment",
       method:"Post",
       data:data,
   })
}

export function GetRationImages(params){
  
    return request({
        url:"/api/site/getrationimages",
        method:'Get',
        params:params,
    })
}

export function GetHospitalInfo(params){
  
   return request({
       url:"/api/site/gethospitalinfo",
       method:'Get',
       params:params,
   })
}

export function GetOfficeInfo(params){
  
   return request({
       url:"/api/site/getofficeinfo",
       method:'Get',
       params:params,
   })
}

export function GetDoctorInfo(params){
    
    return request({
        url:"/api/site/getdoctorinfo",
        method:'Get',
        params:params,
    })
}

export function editDoctor(id,data){
  
    return request({
        url:"/api/site/editdoctor?id="+id,
        method:'Get',
        data:data,
    })
}

export function getQueryDocInfo(params){

    return request({
        url:"/api/site/getquerydocinfo",
        method:"Post",
        params:params,
    })
}

export function getQueryDoCHead(params){
   return request({
       url:"/api/site/getquerydochead",
       method:"Post",
       params:params,
   })
}

export function GetOffEnvironment(params){
   
   return request({
       url:"/api/site/getOffEnvironment",
       method:'Get',
       params:params,
   })
}

export function addconnection(data){
 
   return request({
       url:"/api/site/addconnection",
       method:"Post",
       data:data,
   })
}

export function addWorkTime(data){
   
    return request({
        url:"/api/site/addworktime",
        method:"Post",
        data:data,
    })
 }

export function addRideWay(data){
  
   return request({
       url:"/api/site/addrideway",
       method:"Post",
       data:data,
   })
}

export function queryConnetion(params){
  
   return request({
       url:"/api/site/queryconnetion",
       method:"Get",
       params:params,
   })
}

export function deleteConnecWay(id,data){
 
   return request({
       url:"/api/site/delete?id="+id,
       method:"Get",
       data:data,
   })
}

export function editConnecWay(id,data){
   return request({
       url:"/api/site/editconnecway?id="+id,
       method:"Get",
       data:data,
   })
}

export function saveConnecform(id,data){
   
    return request({
        url:"/api/site/saveconnection?id="+id,
        method:"Post",
        data:data,
    })
}

export function addContract(data){
 
   return request({
       url:"/api/site/addcontract",
       method:"Post",
       data:data,
   })
}

export function GetUserdModel(params){
   
    return request({
        url:"/api/site/getuserdmodel",
        method:"Post",
        params:params,
    })
}

export function eidtmodel(id,data){
  
   return request({
       url:"/api/site/eidtmodel?id="+id,
       method:"Get",
       data:data,
   })
}

export function editRideWay(id,data){
  return request({
      url:"/api/site/editrideway?id="+id,
      method:"Get",
      data:data,
  })
}

export function SaveWorkTime(id,data){
 
  return request({
      url:"/api/site/saveworktime?id="+id,
      method:"Post",
      data:data,
  })
}

export function saverideway(id,data){
 
    return request({
        url:"/api/site/saverideway?id="+id,
        method:"Post",
        data:data,
    })
}

export function getQueryNewModel(params){
  
   return request({
       url:"/api/site/getquerynewmodel",
       method:"Post",
       params:params,
   })
}

export function change(id,data){
   // console.log("编辑医生返回数据",id)
    return request({
       url:"/api/site/change?id="+id,
       method:"Get",
       data:data,
    })
}

export function saveDocInfo(id,data){
    return request({
       url:"/api/site/savedocinfo?id="+id,
       method:"Post",
       data:data,
    })
}

export function deleteDoctor(id,data){
   return request({
       url:"/api/site/deletedoctor?id="+id,
       method:"Get",
       data:data,
   })
}

